Bug 439616 - Firefox is HUGE after default install.
Firefox is HUGE after default install.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 13:15 EDT by Ray Van Dolson
Modified: 2008-04-01 10:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 04:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of huge Firefox. (507.74 KB, image/png)
2008-03-29 13:15 EDT, Ray Van Dolson
no flags Details
Resolution issues resolved. (278.64 KB, image/jpeg)
2008-03-29 13:41 EDT, Ray Van Dolson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 394103 None None None Never

  None (edit)
Description Ray Van Dolson 2008-03-29 13:15:38 EDT
Description of problem:
After installing a fresh copy of Rawhide on my machine, Firefox appears to be
magnified about 500% despite View -> Zoom being "reset" many times.  I am at the
default DPI of 111.

Version-Release number of selected component (if applicable):
firefox-3.0-0.50.cvs20080327.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Install rawhide.
2. Enter Gnome
3. Start Firefox
  
Actual results:
Gigantic Firefox. :-)

Expected results:
Normal looking Firefox

Additional info:
Radeon R350 Chipset.  Dell 2007FP x2 (no dual head set up yet though).
Comment 1 Ray Van Dolson 2008-03-29 13:15:38 EDT
Created attachment 299584 [details]
Screenshot of huge Firefox.
Comment 2 Ray Van Dolson 2008-03-29 13:20:16 EDT
Actually I just noticed that the screenshot says I'm running at 1900x1200
although I *should* be running at 1600x1200 (and this is what the display
configuration claims I am running at).

I have a feeling this may be part of the problem.  So perhaps this is misfiled.
 Will update shortly.
Comment 3 Ray Van Dolson 2008-03-29 13:39:45 EDT
Resolved my resolution issues with xrandr.  Firefox 
is still huge!  Any ideas?  Will upload new
screenshot.
Comment 4 Ray Van Dolson 2008-03-29 13:41:22 EDT
Created attachment 299589 [details]
Resolution issues resolved.
Comment 5 Ray Van Dolson 2008-03-29 13:50:07 EDT
Oddly enough, page text also looks huge in Galeon, but everything looks normal
in Konqueror.  Could this be a Gnome issue?
Comment 6 Christopher Aillon 2008-03-29 18:03:48 EDT
Galeon uses gecko.  Every rendering bug in gecko will be seen in galeon and
epiphany.
Comment 7 Ray Van Dolson 2008-03-30 15:36:24 EDT
I also found this:

  https://bugzilla.redhat.com/show_bug.cgi?id=435216

Perhaps this is what is causing my problem.  Huge font problems in Gecko-based
browsers go away when I switch to the vesa driver.

Feel free to close this unless you think Gecko may still be at fault in some
way?  I will reopen if needed.
Comment 8 Christopher Aillon 2008-03-31 10:47:40 EDT
I thought I pasted this link the last time.

https://bugzilla.mozilla.org/show_bug.cgi?id=394103
Comment 9 Ray Van Dolson 2008-03-31 11:19:10 EDT
Thanks Christopher, I'll follow upstream on this.
Comment 10 Matěj Cepl 2008-04-01 04:27:01 EDT
We believe that it is more appropriate to let this bug to be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 11 Matěj Cepl 2008-04-01 04:31:32 EDT
Just to add a workaround from the upstream bug -- set layout.css.dpi in
about:config to 96. It should work then.
Comment 12 Ray Van Dolson 2008-04-01 10:07:34 EDT
As I'm sure you are aware (but for the benefit of anyone else stumbling across
this), looks as though upstream has fixed the bug:

  https://bugzilla.mozilla.org/show_bug.cgi?id=394103

Hopefully this will show up soon in rawhide.

Note You need to log in before you can comment on or make changes to this bug.